<template>
  <a-cluster-ui data-cid="{ BhTopicListUi }">
    <template v-for="{ code, name, color } in topics">
      <a-badge-ui :key="code" :style="{ '--a-badge-ui--bg-color': color }">
        {{ name }}
      </a-badge-ui>
    </template>
  </a-cluster-ui>
</template>

<script>
export default {
  name: 'BhTopicListUi',
  props: {
    topics: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
